Bug 47927 - sendmail masquerading description is not very close to reality
Summary: sendmail masquerading description is not very close to reality
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stacy Pennington
QA Contact: Stacy Pennington
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-09 04:49 UTC by Michal Jaegermann
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 20:23:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-07-09 04:49:57 UTC
Browsing through printed material (plain curiosity) in section 6.3 of
"Reference Guide" I run onto this (the last paragraph on page 90):

"Please be aware that if you configure your system to masquerade as
another, any email sent from your system to your system will be sent
to the machine you are masquerading as.  For example, in the above
illustration, log files that are periodically sent to
root@poodle.bigcorp.com by the cron daemon would be sent to
root@mail.bigcorp.com."

I could take the above at the face value, adding on the top of it few
nasty comments how broken is sendmail, if not that small detail that
I _know_ that in real life the quoted paragraph is plain false.

Also the whole preceding text is rather doubtful.  I understand that
this possibly not the place to talk about MX records, and other things
like that, but what is written can be interpreted that sticking few
names in sendmail.cw on mail.bigcorp.com will magically make it to
receive mail for 'torgo', 'poodle', 'devel', ...  even if they are
separate boxes with their own addresses in 'bigcorp.com' domain.
Well, that way you create only a big mess.  I do hope that folks
responsible for such setups learn that from some other sources.

Comment 1 Sandra Moore 2001-07-10 20:23:55 UTC
Thanks for the bug report. I am removing the text and it will be updated for the
next release of the manuals.


Note You need to log in before you can comment on or make changes to this bug.